<#ibiztemplate>
PUBOBJ=Vue2.PSVue2DEGridColVC
</#ibiztemplate>
<#assign column = item>
<#if column.getColumnType() = 'UAGRIDCOLUMN'>
<#comment><!--开始：操作列--></#comment>
<el-table-column label="${column.getCaption()}"<#if column.getCellPSSysCss()??> class-name="${column.getCellPSSysCss().getName()}"</#if> label-class-name="${column.getColumnStyle()}" v-if="!(${ctrl.name}.isEnableRowEdit && ${ctrl.name}.$openRowEdit)"<#if column.getWidthUnit()!='STAR'> width="${column.width?c}"</#if> align="${column.getAlign()?lower_case}">
    <template slot-scope="scope">
        <#if column.getPSDEUIActionGroup().getPSDEUIActions()??>
        <#if column.getColumnStyle()?? && column.getColumnStyle() == 'MENU'>
        <#comment><!--开始：样式菜单模式--></#comment>
        <nz-dropdown-button [nzDisabled]="scope.row.disabled">
            更多操作
            <ul nz-menu>
            <#list column.getPSDEUIActionGroup().getPSDEUIActions() as uiaction> 
            <li nz-menu-item>
                <a @click="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}', scope.row)">${uiaction.getCaption("")}</a>
            </li>
            </#list>
            </ul>
        </nz-dropdown-button>
        <#comment><!--结束：样式菜单模式--></#comment>
        <#elseif column.getColumnStyle()?? && column.getColumnStyle() == 'EXPAND'>
        <#comment><!--开始：样式平铺展开模式--></#comment>
        <span>
            <#list column.getPSDEUIActionGroup().getPSDEUIActions() as uiaction>
            <#if uiaction_index gt 0><span nz-table-divider></span></#if>
            <a @click="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}', scope.row)">${uiaction.getCaption("")}</a>
            </#list>
        </span>
        <#comment><!--结束：样式平铺展开模式--></#comment>
        <#else>
        <#comment><!--开始：暂不支持其他模式，默认平铺展开模式--></#comment>
        <span>
            <#list column.getPSDEUIActionGroup().getPSDEUIActions() as uiaction>
            <#if uiaction_index gt 0><span nz-table-divider></span></#if>
            <a @click="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}', scope.row)">${uiaction.getCaption("")}</a>
            </#list>
        </span>
        <#comment><!--结束：暂不支持其他模式，默认平铺展开模式--></#comment>
        </#if>
        </#if>
    </template>
</el-table-column>
<#comment><!--结束：操作列--></#comment>
<#comment><!--开始：分组列--></#comment>
<#elseif column.getColumnType()=='GROUPGRIDCOLUMN' && columns??>
<el-table-column show-overflow-tooltip<#if column.getCellPSSysCss()??> class-name="${column.getCellPSSysCss().getName()}"</#if> label-class-name="${column.getColumnStyle()}" label="${column.getCaption()}" align="${column.getAlign()?lower_case}">
<#list columns as column1>
${column1.code}
</#list>
</el-table-column>
<#comment><!--结束：分组列--></#comment>
<#else>
<#comment><!--开始：数据列--></#comment>
<el-table-column show-overflow-tooltip<#if column.getCellPSSysCss()??> class-name="${column.getCellPSSysCss().getName()}"</#if> label-class-name="${column.getColumnStyle()}" prop="${column.getDataItemName()?lower_case}" label="${column.getCaption()}" <#if column.getWidthUnit()!='STAR'> width="${column.width?c}"</#if> align="${column.getAlign()?lower_case}" <#if (!ctrl.isNoSort()) && column.isEnableSort()> :sortable="'custom'"</#if>>

    <template slot-scope="scope">
        <#if (column.getRenderPSSysPFPlugin()??)>
            <#comment><!--开始：扩展绘制列--></#comment>
            <span>${column.getRenderPSSysPFPlugin().getCode("CODE", pf.getId(), pfstyle.getId(), view,ctrl, column)}</span>
            <#comment><!--结束：扩展绘制列--></#comment>
        <#elseif (column.getPSDEUIAction()??)>
            <#comment><!--开始：列调用实体界面行为--></#comment>
            <#assign uiaction = column.getPSDEUIAction()>
            <span>
                <a @click="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}', scope.row)" >
                <#if ((column.getCodeList())??  && column.getCLConvertMode() == 'FRONT')>
                    <#comment><!--开始：代码表模式--></#comment>
                    <#assign codelist = column.getPSCodeList()>
                    <#if codelist.getCodeListType() == 'STATIC'>
                        <#if codelist.getOrMode() == ''>
                        <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if> v-html="viewController.renderCodeList_Normal( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', scope.row.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}' )"></span>
                        <#elseif codelist.getOrMode() == 'STR'>
                        <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if> v-html="viewController.renderCodeList_StrOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', scope.row.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}', '${codelist.valueSeparator}' )"></span>
                        <#elseif codelist.getOrMode() == 'NUM'>
                        <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if> v-html="viewController.renderCodeList_NumOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', scope.row.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}' )"></span>
                        </#if>
                    <#else>
                        <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if>>{{scope.row.${column.getDataItemName()?lower_case}}}</span>
                    </#if>
                    <#if column.isEnableRowEdit()><span v-if="!scope.row.openeditrow">${editor.code}</span></#if>
                    <#comment><!--结束：代码表模式--></#comment>
                <#else>
                    <#comment><!--开始：通用模式--></#comment>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if>>{{scope.row.${column.getDataItemName()?lower_case}}}</span>
                    <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()><span v-if="!scope.row.openeditrow">${editor.code}</span></#if>
                    <#comment><!--结束：通用模式--></#comment>
                </#if>
                </a>
            </span>
            <#comment><!--结束：列调用实体界面行为--></#comment>
        <#else>
            <#comment><!--开始：通用模式--></#comment>
            <#if ((column.getCodeList())??  && column.getCLConvertMode()=='FRONT')>
                <#comment><!--开始：代码表模式--></#comment>
                <#assign codelist = column.getPSCodeList()>
                <#if codelist.getCodeListType() == 'STATIC'>
                    <#if codelist.getOrMode() == ''>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if> v-html="viewController.renderCodeList_Normal( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', scope.row.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}' )"></span>
                    <#elseif codelist.getOrMode() == 'STR'>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if> v-html="viewController.renderCodeList_StrOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', scope.row.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}', '${codelist.valueSeparator}' )"></span>
                    <#elseif codelist.getOrMode() == 'NUM'>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if> v-html="viewController.renderCodeList_NumOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', scope.row.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}' )"></span>
                    </#if>
                <#else>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if>>{{scope.row.${column.getDataItemName()?lower_case}}}</span>
                </#if>
                <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()><span v-if="!scope.row.openeditrow">${editor.code}</span></#if>
                <#comment><!--结束：代码表模式--></#comment>
            <#else>
                <#comment><!--开始：通用模式--></#comment>
                <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>v-if="scope.row.openeditrow"</#if>>{{scope.row.${column.getDataItemName()?lower_case}}}</span>
                <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()><span v-if="!scope.row.openeditrow">${editor.code}</span></#if>
                <#comment><!--结束：通用模式--></#comment>
            </#if>
            <#comment><!--结束：通用模式--></#comment>
        </#if>
    </template>
</el-table-column>
<#comment><!--结束：数据列--></#comment>
</#if>